=== debian/control ===
Source: globus-rsl-assist
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools, libglobus-rsl-dev (>= 2), globus-core (>= 5.15-5)
Standards-Version: 3.8.4
Section: net
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-rsl-assist
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-rsl-assist
Homepage: http://www.globus.org/

Package: libglobus-rsl-assist2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Globus Toolkit - RSL Manipulation Library
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The libglobus-rsl-assist2 package contains:
 RSL Manipulation Library

Package: libglobus-rsl-assist-dev
Section: libdevel
Architecture: any
Depends: libglobus-rsl-assist2 (= ${binary:Version}), ${misc:Depends}, libglobus-rsl-dev (>= 2), globus-core (>= 4)
Description: Globus Toolkit - RSL Manipulation Library Development Files
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The libglobus-rsl-assist-dev package contains:
 RSL Manipulation Library Development Files

Package: globus-rsl-assist-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libglobus-rsl-assist2 (= ${binary:Version}), ${misc:Depends}
Description: Globus Toolkit - RSL Manipulation Library Debug Symbols
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-rsl-assist-dbg package contains:
 RSL Manipulation Library Debug Symbols
