## globus-rsl-assist 2.2

=== debian/changelog ===
globus-rsl-assist (2.2-3) unstable; urgency=low

  * Use system jquery script

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 07 Jun 2011 05:55:12 +0200

globus-rsl-assist (2.2-2) unstable; urgency=low

  * Add README file
  * Use new doxygen-latex build dependency (Closes: #616247)
  * Add missing dependencies

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 26 Apr 2011 16:36:39 +0200

globus-rsl-assist (2.2-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.2
  * Add doc package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 19 Jul 2010 11:39:40 +0200
