=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: globus-rsl-assist
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools, libglobus-rsl-dev (>= 2), globus-core (>= 5.15-5)
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 5), autotools-dev, quilt, grid-packaging-tools, libglobus-common-dev, libglobus-rsl-dev (>= 2), globus-core (>= 5.15-5), doxygen-latex, graphviz, texlive-fonts-recommended, texlive-font-utils, ghostscript
+Standards-Version: 3.9.2
 Section: net
 DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-rsl-assist
@@ -26,7 +26,8 @@
 Package: libglobus-rsl-assist-dev
 Section: libdevel
 Architecture: any
-Depends: libglobus-rsl-assist2 (= ${binary:Version}), ${misc:Depends}, libglobus-rsl-dev (>= 2), globus-core (>= 4)
+Depends: libglobus-rsl-assist2 (= ${binary:Version}), ${misc:Depends}, libglobus-common-dev, libglobus-rsl-dev (>= 2), globus-core (>= 4)
+Recommends: libglobus-rsl-assist-doc (= ${binary:Version})
 Description: Globus Toolkit - RSL Manipulation Library Development Files
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
@@ -36,6 +37,20 @@
  .
  The libglobus-rsl-assist-dev package contains:
  RSL Manipulation Library Development Files
+
+Package: libglobus-rsl-assist-doc
+Section: doc
+Architecture: any
+Depends: libglobus-rsl-assist-dev (= ${binary:Version}), ${misc:Depends}, ${js:Depends}
+Description: Globus Toolkit - RSL Manipulation Library Documentation Files
+ The Globus Toolkit is an open source software toolkit used for
+ building Grid systems and applications. It is being developed by the
+ Globus Alliance and many others all over the world. A growing number
+ of projects and companies are using the Globus Toolkit to unlock the
+ potential of grids for their cause.
+ .
+ The libglobus-rsl-assist-doc package contains:
+ RSL Manipulation Library Documentation Files
 
 Package: globus-rsl-assist-dbg
 Section: debug
