=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,11 @@
 MAKEFLAGS += -j$(NUMJOBS)
 endif
 
+include /usr/share/quilt/quilt.make
+
 name = globus-rsl-assist
 _name = globus_rsl_assist
-version = 2.1
+version = 2.2
 soname = 2
 
 INSTALLDIR = $(CURDIR)/debian/tmp
@@ -36,7 +38,7 @@
 sed: sed-stamp
 	:
 
-sed-stamp:
+sed-stamp: $(QUILT_STAMPFN)
 	dh_testdir
 
 	for f in `find . ! -path */.pc/* -name Makefile.am` ; do \
@@ -87,7 +89,8 @@
 	   --prefix=$(_prefix) \
 	   --mandir='$${datadir}/man' \
 	   --infodir='$${datadir}/info' \
-	   --with-flavor=$(flavor)
+	   --with-flavor=$(flavor) \
+	   --enable-doxygen
 
 	touch $@
 
@@ -101,7 +104,9 @@
 
 	touch $@
 
-clean: unsed
+unpatch: unsed
+
+clean: unpatch
 	:
 
 cleanup:
@@ -133,6 +138,8 @@
 	rm -f globus_automake*
 	rm -rf autom4te.cache
 
+	rm -rf doxygen/doc
+
 	find . -name Makefile.in -exec rm {} ';'
 
 	rm -f build-stamp configure-stamp
@@ -157,11 +164,29 @@
 	  pkgdata/pkg_data_$(flavor)_dev.gpt > \
 	  $(INSTALLDIR)$(_libdir)/pkgconfig/$(name).pc
 
+	# Move documentation to default debian location
+	mv $(INSTALLDIR)$(_docdir)/$(_name) \
+	  $(INSTALLDIR)$(_docdir)/lib$(name)-dev
+	sed s!doc/$(_name)!doc/lib$(name)-dev! \
+	  -i $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist
+
+	# Use system jquery script
+	if [ -r $(INSTALLDIR)$(_docdir)/lib$(name)-dev/html/jquery.js ] ; then \
+	  rm $(INSTALLDIR)$(_docdir)/lib$(name)-dev/html/jquery.js ; \
+	  ln -s /usr/share/javascript/jquery/jquery.js \
+	    $(INSTALLDIR)$(_docdir)/lib$(name)-dev/html/jquery.js ; \
+	  echo js:Depends=libjs-jquery >> debian/lib$(name)-doc.substvars ; \
+	else \
+	  echo js:Depends= >> debian/lib$(name)-doc.substvars ; \
+	fi
+
 	# Generate package filelists
 	cat $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_rtl.filelist \
 	  | sed s!^!debian/tmp$(_prefix)! > debian/lib$(name)$(soname).install
 	cat $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_dev.filelist \
 	  | sed s!^!debian/tmp$(_prefix)! > debian/lib$(name)-dev.install
+	cat $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist \
+	  | sed s!^!debian/tmp$(_prefix)! > debian/lib$(name)-doc.install
 
 	echo debian/tmp$(_libdir)/pkgconfig/$(name).pc \
 	  >> debian/lib$(name)-dev.install
@@ -172,13 +197,15 @@
 binary-arch: install
 	dh_testdir
 	dh_testroot
+	mkdir -p debian/lib$(name)-doc$(_docdir)
+	ln -s lib$(name)-dev debian/lib$(name)-doc$(_docdir)/lib$(name)-doc
 	dh_installchangelogs
-	dh_installdocs
+	dh_installdocs debian/README
 	dh_install --fail-missing
 	dh_installman
 	dh_link
 	dh_strip --dbg-package=globus-rsl-assist-dbg
-	dh_compress
+	dh_compress -X .tag
 	dh_fixperms
 	dh_perl
 	dh_makeshlibs
@@ -195,21 +222,21 @@
 	if [ -r $(name)_$(version).orig.tar.gz ] ; then \
 	  echo "$(name)_$(version).orig.tar.gz already exists." ; \
 	else \
-	  if [ ! -r gt4.2.1-all-source-installer.tar.bz2 ] ; then \
+	  if [ ! -r gt5.0.2-all-source-installer.tar.bz2 ] ; then \
 	    echo "Downloading Globus Toolkit release." ; \
 	    echo "This should be necessary only once for all globus packages." ; \
-	    wget -N http://www-unix.globus.org/ftppub/gt4/4.2.1/installers/src/gt4.2.1-all-source-installer.tar.bz2 ; \
+	    wget -N http://www-unix.globus.org/ftppub/gt5/5.0/5.0.2/installers/src/gt5.0.2-all-source-installer.tar.bz2 ; \
 	  fi ; \
 	  echo "Extracting relevant parts of the Globus Toolkit release." ; \
-	  tar -xjf gt4.2.1-all-source-installer.tar.bz2 \
-	    gt4.2.1-all-source-installer/source-trees/gram/rsl_assist/source ; \
-	  mv gt4.2.1-all-source-installer/source-trees/gram/rsl_assist/source \
+	  tar -xjf gt5.0.2-all-source-installer.tar.bz2 \
+	    gt5.0.2-all-source-installer/source-trees/gram/rsl_assist/source ; \
+	  mv gt5.0.2-all-source-installer/source-trees/gram/rsl_assist/source \
 	    $(name)-$(version) ; \
 	  echo "Packing it up again." ; \
 	  GZIP=-9 tar --exclude=CVS -czf $(name)_$(version).orig.tar.gz \
 	    $(name)-$(version) ; \
 	  echo "Cleaning up." ; \
-	  rm -rf gt4.2.1-all-source-installer $(name)-$(version) ; \
+	  rm -rf gt5.0.2-all-source-installer $(name)-$(version) ; \
 	fi
 
 .PHONY: build clean binary-indep binary-arch binary install configure get-orig-source
